#!/bin/sh

set -e

##functions.sh##

target="$1"
self="$2"
new=`dirname "$self"`/update-exim4.conf.conf
flags="$3"

md5sum="$CCLUB_CONFIG_GENERATED_DIR/update-exim4.conf.conf.md5sum"

if [ ! -e "$md5sum" ]; then
    fqdn=`hostname -f`
    history_dir="${new}.history"

    for historic_file in "$history_dir"/*; do
        version=`basename "$historic_file"`
        sed -e "s/##fqdn##/$fqdn/g" "$historic_file" |
            md5sum | sed -e "s/-\$/$version/" >> "$md5sum"
    done
fi

configure_via_copy "$target" "$new" "$flags"

# The mailname.sh script runs after us and handles reconfiguring exim4-config.
